<main id="main-container" class="px-3">
    <section id="main-grid" class="mosaique-grid">
        <?php
        include(APP."code/cache_functions.php");

        // Si le cache existe, l'envoyer et c'est fini
        $cachefile = CACHE.'cached-mosaique.html';
        $cachetime = 0;
        if (file_exists($cachefile) && time() - $cachetime < filemtime($cachefile)) {
            echo "<!-- Cached copy, generated ".date('H:i', filemtime($cachefile))." -->\n";
            readfile($cachefile);
            exit;
        }
        // vérifier l'existence du cache d'ordre
        $cacheorder = CACHE.'cached-mosaique-order.yaml';
        create_mosaique_order();

        ob_start(); // Start the output buffer

        $order=Spyc::YAMLLoad($cacheorder);

        $item=new yamlReadwriter();
        // trouver le bon snippet
        $snippet_item=getSnippetFile("display_item_mosaique.php");
        $item->loadYaml(getTemplate("structure_item.yaml")); // charger la structure complète

        foreach($order as $num => $item_url){
            $item->loadContentFromYaml(CONTENTS."items/".$item_url);            
            include($snippet_item);
        }
        // Cache the contents to a cache file
        $cached = fopen($cachefile, 'w');
        fwrite($cached, ob_get_contents());
        fclose($cached);
        ob_end_flush(); // Send the output to the browser
        ?> 
    </section>
    <?php
    // afficher le message de création d'un accès
    $acc=GLOB(CONFIG."access/*.yaml");
    if(!count($acc)){
    ?>
    <div class="text-center py-4">
        Il semble que vous venez d'installer YAML Collection.<br>
        <br><span class="link-behavior underline py-4" onclick="yc_loadform('access')">Créez votre login et mot de passe</span> dans la foulée!

    </div>
    <?php
    }
    ?>
</main>